ros-noetic-dynamic-reconfigure (1.7.4-1focal) focal; urgency=high

  * Remove roslib.load_manifest (#201 <https://github.com/ros/dynamic_reconfigure/issues/201>)
  * Fix unsafe yaml load on dynparam (#202 <https://github.com/ros/dynamic_reconfigure/issues/202>)
  * Set ns as '~' when namespace is '~' (#169 <https://github.com/ros/dynamic_reconfigure/issues/169>)
  * Support float('inf') for cfg file (#168 <https://github.com/ros/dynamic_reconfigure/issues/168>)
  * Add BSD LICENSE file (#193 <https://github.com/ros/dynamic_reconfigure/issues/193>)
  * Contributors: Florencia, Shane Loretz, Shingo Kitagawa, Yuki Furuta

 -- Michael Carroll <michael@openrobotics.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.7.3-1focal) focal; urgency=high

  * Add Loader=yaml.Loader to yaml.load (#178 <https://github.com/ros/dynamic_reconfigure/issues/178>)
  * Switch to new boost/bind/bind.hpp (#191 <https://github.com/ros/dynamic_reconfigure/issues/191>)
  * Contributors: Charles Jenkins, Jochen Sprickerhof

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 May 2022 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.7.2-1focal) focal; urgency=high

  * Remove calls to string.{join,lower,upper} (#174 <https://github.com/ros/dynamic_reconfigure/issues/174>)
  * fix: Race condition on quickly setting and getting config (#188 <https://github.com/ros/dynamic_reconfigure/issues/188>)
  * do not use system for generated messages or configs (#182 <https://github.com/ros/dynamic_reconfigure/issues/182>)
  * Contributors: Gaël Écorchard, Rokus Ottervanger, Shingo Kitagawa

 -- Michael Carroll <michael@openrobotics.org>  Sat, 19 Feb 2022 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.7.1-1focal) focal; urgency=high

  * narrow down required boost dependencies (#160 <https://github.com/ros/dynamic_reconfigure/issues/160>)
  * Make Config object pickle-able in Python 3 (#154 <https://github.com/ros/dynamic_reconfigure/issues/154>)
  * Fix python3 issue in a backward compatible way (#157 <https://github.com/ros/dynamic_reconfigure/issues/157>)
  * import setup from setuptools instead of distutils-core (#153 <https://github.com/ros/dynamic_reconfigure/issues/153>)
  * Contributors: Alejandro Hernández Cordero, Mikael Arguedas, Scott K Logan

 -- Michael Carroll <michael@openrobotics.org>  Fri, 28 Aug 2020 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.7.0-1focal) focal; urgency=high

  * Fixing compile error with cpp client when using -Werror=reorder. (#118 <https://github.com/ros/dynamic_reconfigure/issues/118>)
  * ConfigType.h.template: fixed warnings (#136 <https://github.com/ros/dynamic_reconfigure/issues/136>) (#149 <https://github.com/ros/dynamic_reconfigure/issues/149>)
  * Bump CMake minimum version to use CMP0048 (#148 <https://github.com/ros/dynamic_reconfigure/issues/148>)
  * Use PYTHON_EXECUTABLE to generate config headers. (#146 <https://github.com/ros/dynamic_reconfigure/issues/146>)
  * Python3 compatibility (#135 <https://github.com/ros/dynamic_reconfigure/issues/135>)
  * Use system on gen headers (#140 <https://github.com/ros/dynamic_reconfigure/issues/140>)
  * Fix GCC8 error for unnecessary parentheses (#132 <https://github.com/ros/dynamic_reconfigure/issues/132>)
  * fix generate_dynamic_reconfigure_options (#10 <https://github.com/ros/dynamic_reconfigure/issues/10>) (#134 <https://github.com/ros/dynamic_reconfigure/issues/134>)
  * Make Michael Carroll the maintainer (#125 <https://github.com/ros/dynamic_reconfigure/issues/125>)
  * Contributors: Christopher Wecht, Markus Grimm, Michael Carroll, Mikael Arguedas, Nicolas Limpert, Sean Yen [MSFT], Victor Lopez

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Mar 2020 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.6.0-1focal) focal; urgency=high

  * fix check preventing range for string and bool parameters (#122 <https://github.com/ros/dynamic_reconfigure/issues/122>)
  * Fix build issue on Windows (#114 <https://github.com/ros/dynamic_reconfigure/issues/114>)
  * Contributors: Johnson Shih, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2018 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.50-1focal) focal; urgency=high

  * final-keyword (#113 <https://github.com/ros/dynamic_reconfigure/issues/113>)
    * Add final keyword to child class since parent has virtual methods and grand parent doesn't have a virtual destructor. This allows the code to be compiled by clang version 6.0 and above.
  * [indentation fixups]
    * Use textwrap dedent for multiline strings
    * Remove extra indentation in wikidoc
    * Use textwrap.dedent to form the error message
  * [test fix] call shutdown to prevent test from hanging (#119 <https://github.com/ros/dynamic_reconfigure/issues/119>)
  * Modernize Python code (#102 <https://github.com/ros/dynamic_reconfigure/issues/102>)
    * Use new-style classes
    * Use with statement to ensure files are closed
  * Python 3 compatibility (#105 <https://github.com/ros/dynamic_reconfigure/issues/105>)
    * some randon python cleanup
    * remove iter* method for their 2/3 compatible equivalent
  * Contributors: Eric Wieser, Jason Mercer, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2018 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.49-1focal) focal; urgency=high

  * Pep8 (#93 <https://github.com/ros/dynamic_reconfigure/issues/93>)
  * Python3 use print function and not statement (#92 <https://github.com/ros/dynamic_reconfigure/issues/92>)
  * add shebang line in setup_custom_pythonpath.sh.in template (#91 <https://github.com/ros/dynamic_reconfigure/issues/91>)
  * switch to package format 2 (#89 <https://github.com/ros/dynamic_reconfigure/issues/89>)
  * remove trailing whitespaces (#88 <https://github.com/ros/dynamic_reconfigure/issues/88>)
  * Reraising DynamicReconfigureCallbackException in case of a failing service call (#87 <https://github.com/ros/dynamic_reconfigure/issues/87>)
  * Contributors: Arne Hitzmann, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.48-1focal) focal; urgency=high

  * [Bugfix] dont enforce ROS names for constants (#84 <https://github.com/ros/dynamic_reconfigure/issues/84>)
  * [Compiler warnings] avoid unused-parameter compiler warnings in specialized ParamDescription<std::string>::clamp() (#83 <https://github.com/ros/dynamic_reconfigure/issues/83>)
  * Contributors: Johannes Meyer, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 07 Apr 2017 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.47-1focal) focal; urgency=high

  * reset received_configuration_ for every request sent (#82 <https://github.com/ros/dynamic_reconfigure/issues/82>)
  * Rename arguments (with a_ prefix) to avoid Wshadow warnings. (#80 <https://github.com/ros/dynamic_reconfigure/issues/80>)
    handle infinity in python generation, fixes (#77 <https://github.com/ros/dynamic_reconfigure/issues/77>)
  * Add a c++ Dynamic Reconfigure Client (#78 <https://github.com/ros/dynamic_reconfigure/issues/78>)
  * Enforce valid descriptions in cfg files (#74 <https://github.com/ros/dynamic_reconfigure/issues/74>)
  * Fix callback returned by get_description_callback (#73 <https://github.com/ros/dynamic_reconfigure/issues/73>) from ros/description_cb
  * Contributors: Jeff Eberl, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.46-1focal) focal; urgency=high

  * Add missing group params to wikidoc (#68 <https://github.com/ros/dynamic_reconfigure/issues/68>)
    The catkin generated wikidoc files were missing parameters defined as groups.
    Both the Dox and UsageDox file were generated correctly, but the wikidoc was
    using the wrong method to traverse all groups.
  * Contributors: Mark Horn

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Nov 2016 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.45-1focal) focal; urgency=high

  * Merge pull request #65 <https://github.com/ros/dynamic_reconfigure/issues/65> from bulwahn/master
    address gcc6 build error
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.44-1focal) focal; urgency=high

  * Add server namespaces (#56 <https://github.com/ros/dynamic_reconfigure/issues/56>)
    * Add optional namespace argument to Python Server
    * Add test for server with multiple namespaces
  * Merge pull request #61 <https://github.com/ros/dynamic_reconfigure/issues/61> from vagvaz/Issue_51_Unable_to_reload_parameters_from_file
    fix issue #51 <https://github.com/ros/dynamic_reconfigure/issues/51> reloading parameters from dumped file
  * Contributors: Evangelos Vazaios, Mikael Arguedas, v-lopez

 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Jun 2016 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.43-1focal) focal; urgency=high

  * add devel space to Python environment to allow .cfg files to import them #60 <https://github.com/ros/dynamic_reconfigure/issues/60>
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 19 Mar 2016 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.42-1focal) focal; urgency=high

  * fix Python environment to make it work on the first run #59 <https://github.com/ros/dynamic_reconfigure/issues/59>
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.41-1focal) focal; urgency=high

  * fix Python environment to make it work on the first run #58 <https://github.com/ros/dynamic_reconfigure/issues/58>
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 14 Mar 2016 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.40-1focal) focal; urgency=high

  * updated maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 11 Mar 2016 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.39-1focal) focal; urgency=high

  * Better error message, to fix #32 <https://github.com/ros/dynamic_reconfigure/issues/32>
  * Make Python callback code consistent with the C++ API
  * Commented unused parameters to avoid compile warnings
  * Contributors: Esteve Fernandez, Morgan Quigley

 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.38-1focal) focal; urgency=high

  * Fixes #35 <https://github.com/ros/dynamic_reconfigure/issues/35> by setting queue_size to 10 for publishers.
  * Fixes #31 <https://github.com/ros/dynamic_reconfigure/issues/31> by removing boilerplate and copyright info from config header.
  * Python 3 Support
  * Honor BUILD_SHARED_LIBS and do not force building shared libraries.
  * Unicode support
  * Contributors: Basheer Subei, Esteve Fernandez, Gary Servin, Kei Okada, Scott K Logan

 -- Michael Carroll <michael@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.37-1focal) focal; urgency=high

  * Decode level of ParamDescription
  * Added testsuite
  * Avoid collisions with parameter names (#6 <https://github.com/ros/dynamic_reconfigure/issues/6>)
  * Contributors: Esteve Fernandez, pgorczak

 -- Michael Carroll <michael@openrobotics.org>  Mon, 16 Jun 2014 00:00:00 -0000


